Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#48654 - [alsa-utils] 1.1.0-1 introduces name conflict with /usr/bin/bat

Attached to Project: Arch Linux
Opened by Vanush "Misha" Paturyan (ektich) - Monday, 21 March 2016, 10:12 GMT
Last edited by Anatol Pomozov (anatolik) - Sunday, 27 March 2016, 18:00 GMT
Task Type Bug Report
Category Upstream Bugs
Status Closed
Assigned To Tobias Powalowski (tpowa)
Anatol Pomozov (anatolik)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:

alsa-utils version 1.1.0 introduces file name conflict with /usr/bin/bat, a Bacula Administration Tool Console. The upstream renamed their binary alsabat (see http://git.alsa-project.org/?p=alsa-utils.git;a=commit;h=9fa7f6fd0645f822793f8c51d3c3e090716108eb and http://thread.gmane.org/gmane.linux.alsa.devel/150333).

Although bacula-bat is not provided within ArchLinux core, it is available via AUR repository.

Can the commit mentioned above be backported and released as 1.1.0-2, instead of waiting for the upstream's next release?
This task depends upon

Closed by  Anatol Pomozov (anatolik)
Sunday, 27 March 2016, 18:00 GMT
Reason for closing:  Fixed
Additional comments about closing:  1.1.0-2
Comment by Anatol Pomozov (anatolik) - Thursday, 24 March 2016, 16:04 GMT
1.1.0-2 just pushed to [testing]. Please try it and make sure it works as expected.
Comment by Vanush "Misha" Paturyan (ektich) - Sunday, 27 March 2016, 17:00 GMT
I can confirm that 1.1.0-2 fixed the name conflict on /usr/bin/bat.
Thanks for fixing it.

One observation though: alsa-utils 1.1.0-2 is in [extra], not [testing].

Loading...